# Refund Receipt Templates Refund Receipt Templates ## Gets all of the refund receipt templates in the system. - [GET /refundReceiptTemplates/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/refund-receipt-templates/listrefundreceipttemplates.md): This method will scan all refund receipt templates and and return them to the caller. ## Creates a new refund receipt template record that does not already exist. - [POST /refundReceiptTemplates/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/refund-receipt-templates/createrefundreceipttemplate.md): This method will auto-generate an ID and create a new refund receipt template. If an ID is specified for the refund receipt template, an error will be thrown. ## Execute Batch Operations - [POST /refundReceiptTemplates/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/refund-receipt-templates/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a refund receipt template from the system by its ID. - [DELETE /refundReceiptTemplates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/refund-receipt-templates/deleterefundreceipttemplate.md): This method will delete a refund receipt template with the specified ID. ## Returns a refund receipt template from the system by its ID. - [GET /refundReceiptTemplates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/refund-receipt-templates/getrefundreceipttemplate.md): This method will look up a refund receipt template by the specified ID and return it back. ## Partially updates a refund receipt template with the specified ID. - [PATCH /refundReceiptTemplates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/refund-receipt-templates/patchrefundreceipttemplate.md): This method will patch an existing refund receipt template with the specified ID, using the HTTP PATCH specification. ## Updates a refund receipt template with the specified ID. - [PUT /refundReceiptTemplates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/refund-receipt-templates/updaterefundreceipttemplate.md): This method will update an existing refund receipt template with the specified ID.